## javanet.staxutils
Class BaseXMLInputFactory

    java.lang.Object
      javax.xml.stream.XMLInputFactory
          javanet.staxutils.BaseXMLInputFactory

    public abstract class BaseXMLInputFactory

extends XMLInputFactory

Version:
  $Revision: 1.2 $
Author:
  Christian Niles

Field Summary
`protected XMLEventAllocator` `eventAllocator`
`protected XMLReporter` `xmlReporter`
`protected XMLResolver` `xmlResolver`

Fields inherited from class javax.xml.stream.XMLInputFactory
`ALLOCATOR, IS_COALESCING, IS_NAMESPACE_AWARE, IS_REPLACING_ENTITY_REFERENCES, IS_SUPPORTING_EXTERNAL_ENTITIES, IS_VALIDATING, REPORTER, RESOLVER, SUPPORT_DTD`

Constructor Summary
`BaseXMLInputFactory()`

Method Summary
`XMLEventReader` `createFilteredReader(XMLEventReader reader, EventFilter filter)`
`XMLStreamReader` `createFilteredReader(XMLStreamReader reader, StreamFilter filter)`
`XMLEventReader` `createXMLEventReader(InputStream stream)`
`XMLEventReader` `createXMLEventReader(InputStream stream, String encoding)`
`XMLEventReader` `createXMLEventReader(Reader reader)`
`XMLEventReader` `createXMLEventReader(Reader reader, String encoding)`
`XMLEventReader` `createXMLEventReader(Source source)`
`XMLEventReader` `createXMLEventReader(String systemId, InputStream stream)`
`XMLEventReader` `createXMLEventReader(String systemId, Reader reader)`
`XMLEventReader` `createXMLEventReader(String systemId, Reader reader, String encoding)`
`XMLEventReader` `createXMLEventReader(XMLStreamReader reader)`
`XMLStreamReader` `createXMLStreamReader(InputStream stream)`
`XMLStreamReader` `createXMLStreamReader(InputStream stream, String encoding)`
`XMLStreamReader` `createXMLStreamReader(Reader reader)`
`XMLStreamReader` `createXMLStreamReader(Reader reader, String encoding)`
`XMLStreamReader` `createXMLStreamReader(Source source)`
`XMLStreamReader` `createXMLStreamReader(String systemId, InputStream stream)`
`XMLStreamReader` `createXMLStreamReader(String systemId, Reader reader)`
`abstract XMLStreamReader` `createXMLStreamReader(String systemId, Reader reader, String encoding)` Called by all other methods to construct an `XMLStreamReader`.
`XMLEventAllocator` `getEventAllocator()`
`Object` `getProperty(String name)`
`XMLReporter` `getXMLReporter()`
`XMLResolver` `getXMLResolver()`
`boolean` `isPropertySupported(String name)`
`void` `setEventAllocator(XMLEventAllocator eventAllocator)`
`void` `setProperty(String name, Object value)`
`void` `setXMLReporter(XMLReporter xmlReporter)`
`void` `setXMLResolver(XMLResolver xmlResolver)`

Methods inherited from class javax.xml.stream.XMLInputFactory
`newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eventAllocator

    protected XMLEventAllocator eventAllocator

### xmlReporter

    protected XMLReporter xmlReporter

### xmlResolver

    protected XMLResolver xmlResolver

Constructor Detail

### BaseXMLInputFactory

    public BaseXMLInputFactory()

Method Detail

### getProperty

    public Object getProperty(String name)
                       throws IllegalArgumentException

  Specified by:
    `getProperty` in class `XMLInputFactory`
  Throws:
    `IllegalArgumentException`

### isPropertySupported

    public boolean isPropertySupported(String name)

  Specified by:
    `isPropertySupported` in class `XMLInputFactory`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws IllegalArgumentException

  Specified by:
    `setProperty` in class `XMLInputFactory`
  Throws:
    `IllegalArgumentException`

### getEventAllocator

    public XMLEventAllocator getEventAllocator()

  Specified by:
    `getEventAllocator` in class `XMLInputFactory`

### setEventAllocator

    public void setEventAllocator(XMLEventAllocator eventAllocator)

  Specified by:
    `setEventAllocator` in class `XMLInputFactory`

### getXMLReporter

    public XMLReporter getXMLReporter()

  Specified by:
    `getXMLReporter` in class `XMLInputFactory`

### setXMLReporter

    public void setXMLReporter(XMLReporter xmlReporter)

  Specified by:
    `setXMLReporter` in class `XMLInputFactory`

### getXMLResolver

    public XMLResolver getXMLResolver()

  Specified by:
    `getXMLResolver` in class `XMLInputFactory`

### setXMLResolver

    public void setXMLResolver(XMLResolver xmlResolver)

  Specified by:
    `setXMLResolver` in class `XMLInputFactory`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(InputStream stream,
                                               String encoding)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(InputStream stream)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(String systemId,
                                               InputStream stream)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(XMLStreamReader reader)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public XMLStreamReader createXMLStreamReader(InputStream stream,
                                                 String encoding)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public XMLStreamReader createXMLStreamReader(InputStream stream)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public XMLStreamReader createXMLStreamReader(String systemId,
                                                 InputStream stream)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(Reader reader)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(Reader reader,
                                               String encoding)
                                        throws XMLStreamException

  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(Source source)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(String systemId,
                                               Reader reader)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventReader

    public XMLEventReader createXMLEventReader(String systemId,
                                               Reader reader,
                                               String encoding)
                                        throws XMLStreamException

  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public XMLStreamReader createXMLStreamReader(Source source)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public XMLStreamReader createXMLStreamReader(Reader reader)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public XMLStreamReader createXMLStreamReader(Reader reader,
                                                 String encoding)
                                          throws XMLStreamException

  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public XMLStreamReader createXMLStreamReader(String systemId,
                                                 Reader reader)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createFilteredReader

    public XMLEventReader createFilteredReader(XMLEventReader reader,
                                               EventFilter filter)
                                        throws XMLStreamException

  Specified by:
    `createFilteredReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createFilteredReader

    public XMLStreamReader createFilteredReader(XMLStreamReader reader,
                                                StreamFilter filter)
                                         throws XMLStreamException

  Specified by:
    `createFilteredReader` in class `XMLInputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamReader

    public abstract XMLStreamReader createXMLStreamReader(String systemId,
                                                          Reader reader,
                                                          String encoding)
                                                   throws XMLStreamException

  Called by all other methods to construct an `XMLStreamReader`.

  Parameters:
    `systemId` - The system ID of the provided reader, or `null`
    `reader` - The character stream from which to construct the StAX stream.
    `encoding` - The underlying encoding of the reader, or `null`.
  Returns:
    The newly constructed `XMLStreamReader`.
  Throws:
    `XMLStreamException` - If an error occurs constructing the reader.